Delen via


App Service Plans - Restart Web Apps

Beschrijving voor Alle apps in een App Service-abonnement opnieuw opstarten.

POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Web/serverfarms/{name}/restartSites?api-version=2025-05-01
POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Web/serverfarms/{name}/restartSites?api-version=2025-05-01&softRestart={softRestart}

URI-parameters

Name In Vereist Type Description
name
path True

string

De naam van het App Service-plan.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

De naam van de resourcegroep. De naam is hoofdletterongevoelig.

subscriptionId
path True

string (uuid)

De id van het doelabonnement. De waarde moet een UUID zijn.

api-version
query True

string

minLength: 1

De API-versie die voor deze bewerking moet worden gebruikt.

softRestart
query

boolean

Geef op true om een zachte herstart uit te voeren, past de configuratie-instellingen toe en start de apps indien nodig opnieuw op. De standaardinstelling is false, waarmee de apps altijd opnieuw worden opgestart en opnieuw worden ingedeeld

Antwoorden

Name Type Description
204 No Content

Er is geen inhoud die voor deze aanvraag kan worden verzonden, maar de headers kunnen nuttig zijn.

Other Status Codes

DefaultErrorResponse

Een onverwachte foutreactie.

Beveiliging

azure_auth

OAuth2-stroom voor Azure Active Directory.

Type: oauth2
Stroom: implicit
Autorisatie-URL: https://login.microsoftonline.com/common/oauth2/authorize

Bereiken

Name Description
user_impersonation Uw gebruikersaccount imiteren

Definities

Name Description
DefaultErrorResponse

Foutreactie van App Service.

DefaultErrorResponseError

Foutmodel.

DefaultErrorResponseErrorDetailsItem

Gedetailleerde fouten.

DefaultErrorResponse

Foutreactie van App Service.

Name Type Description
error

DefaultErrorResponseError

Foutmodel.

DefaultErrorResponseError

Foutmodel.

Name Type Description
code

string

Gestandaardiseerde tekenreeks om de fout programmatisch te identificeren.

details

DefaultErrorResponseErrorDetailsItem[]

Gedetailleerde fouten.

innererror

string

Meer informatie om fouten op te sporen.

message

string

Gedetailleerde foutbeschrijving en foutopsporingsinformatie.

target

string

Gedetailleerde foutbeschrijving en foutopsporingsinformatie.

DefaultErrorResponseErrorDetailsItem

Gedetailleerde fouten.

Name Type Description
code

string

Gestandaardiseerde tekenreeks om de fout programmatisch te identificeren.

message

string

Gedetailleerde foutbeschrijving en foutopsporingsinformatie.

target

string

Gedetailleerde foutbeschrijving en foutopsporingsinformatie.